package api

import (
	"fmt"

	"github.com/gin-gonic/gin"
)

// RegRouters 注册路由
func RegRouters(svc *Service) {

	svc.Gin.Use(Logger())

	//登录
	spud3dGroup := svc.NewGinRouter("/longyuan")

	spud3dGroup.POSTJWT("/login/succ", ServiceLoginSucc)

	FassiApi(spud3dGroup)
	CreateCatRouter(spud3dGroup)
	RegStaffUserRouter(spud3dGroup)
	RegExcelRouter(spud3dGroup)
	spud3dGroup.GET("upload/policy", UploadPolicy)
}

func Logger() gin.HandlerFunc {

	return func(c *gin.Context) {
		// 开始时间
		// start := time.Now()
		// 处理请求
		c.Next()
		// 结束时间
		// end := time.Now()
		//执行时间
		// latency := end.Sub(start)

		path := c.Request.URL.Path

		clientIP := c.ClientIP()
		// method := c.Request.Method
		// statusCode := c.Writer.Status()

		out := fmt.Sprintf("%15s=> %s", clientIP, path)
		fmt.Println(out)
	}
}
