package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Category struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Type       string             `bson:"type,omitempty" json:"type"`
	IdStr      string             `bson:"idStr,omitempty" json:"idStr"`
	CusNum     string             `bson:"cusNum,omitempty" json:"cusNum"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Children   []*Category        `bson:"children" json:"children"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
