package api

import (
	"sku3dweb/db/model"
	"sku3dweb/db/repo"
	"time"

	"github.com/gin-gonic/gin"
)

func RegStaffUserRouter(router *GinRouter) {

	//用户管理
	CreateCRUD(router, "/staffuser", &CRUDOption{
		Collection: repo.CollectionStaffUser,
		NewModel2: func(c *gin.Context, apictx *ApiSession) (interface{}, error) {
			u := &model.StaffUser{}
			c.ShouldBindJSON(u)
			u.CreateTime = time.Now()
			return u, nil
		},
		EmtyModel: func(*gin.Context) interface{} {
			return &model.StaffUser{}
		},
		SearchProject: []string{"name", "avatar"},
	})
}
